flowId on each call. Steps are asked in array order.curl --location 'https://api.voxa.sa/v1/outbound-ivr/flows' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Sales pre-qualification",
"welcomeAudioFileUrl": "https://cdn.example.sa/audio/welcome-sales.wav",
"completionAudioFileUrl": "https://cdn.example.sa/audio/thank-you.wav",
"noInputAudioFileUrl": "https://cdn.example.sa/audio/no-input.wav",
"continueOnNoInput": false,
"maxAudioRetries": 2,
"inputTimeoutMs": 6000,
"digitTimeoutMs": 3000,
"steps": [
{
"key": "interest",
"type": 1,
"questionProps": {
"audioFileUrl": "https://cdn.example.sa/audio/q-interest.wav",
"options": [
{
"digit": "1",
"description": "Interested"
},
{
"digit": "2",
"description": "Not interested"
}
]
}
},
{
"key": "budget",
"type": 1,
"questionProps": {
"audioFileUrl": "https://cdn.example.sa/audio/q-budget.wav",
"options": [
{
"digit": "1",
"description": "Under 10k"
},
{
"digit": "2",
"description": "10k to 50k"
},
{
"digit": "3",
"description": "Over 50k"
}
]
}
},
{
"key": "timeline",
"type": 1,
"questionProps": {
"audioFileUrl": "https://cdn.example.sa/audio/q-timeline.wav",
"options": [
{
"digit": "1",
"description": "Within a month",
"responseMessageFileUrl": "https://cdn.example.sa/audio/agent-will-call.wav"
},
{
"digit": "2",
"description": "Within three months"
}
]
}
}
]
}'{
"name": "Sales pre-qualification",
"steps": [
{
"key": "budget",
"type": 1,
"questionProps": {
"audioFileUrl": "http://example.com",
"options": [
{
"digit": "1",
"description": "Confirm the appointment",
"responseMessageFileUrl": "http://example.com"
}
]
}
}
],
"welcomeAudioFileUrl": "http://example.com",
"completionAudioFileUrl": "http://example.com",
"noInputAudioFileUrl": "http://example.com",
"continueOnNoInput": false,
"maxAudioRetries": 2,
"inputTimeoutMs": 6000,
"digitTimeoutMs": 3000,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",
"creationTime": "2019-08-24T14:15:22.123Z"
}